QGIS Application - Bug report #13300
Filter legend doesn't work when using Presets
2015-08-31 04:34 PM - Jamie Portman

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21358
Description

The filter legend function does not work when using Presets for the map frame.

It works perfectly fine if this is not being used (with or without atlas), but as soon as you choose "set layer list from visibility preset” in the
Item Properties of the Map Frame, everything disappears.

If the preset is chosen in the Map Canvas instead (not in the Print Composer) and then the view refreshed, then the filtered legend works
fine.

If the legend is not Filtered, then it updates just fine when using Presets (except of course that everything that is not turned on visibility
shows up in the legend... not ideal).

Associated revisions

Revision dcbe0d37 - 2015-10-07 10:57 PM - Nyall Dawson

Fix legends are empty if presets used with filtered legend (fix #13300)

History

#1 - 2015-09-30 06:24 AM - Harrissou Santanna

- Target version set to Version 2.12

I think the level of this issue should be raised since it breaks the use of "filter by map" option or oblige the user to avoid using preset options (something
that can also be penalizing).
master fead4ed9

#2 - 2015-10-07 01:57 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"dcbe0d370eb511510d66f490c74f21cf76e065f1".
